
Steps to integrate mod_benchmark with BB/LARRD:
----------------------------------------------

A) on BB Client Hosts:

- Edit the "bf-larrd.sh" file and add the "benchmark" keyword (without
  quotes) in the BFMETS variable.

- Copy the "benchmark-bf.sh" and "benchmark-alert.pl" scripts under the "bf" directory

- Configure the "benchmark-bf.sh" script:
	* check the value of DUMPNAME variable 
	* gives the full path for "benchmark-alert.pl" in ALERTPGM variable

- Configure the "benchmark-alert.pl" script:
	* modify the content of the "threshold" hash table to generate alerts using
	  your own criteria


B) on BB Display Hosts:

- Edit the "larrd-config.pl" script and add the "benchmark" keyword (with
  quotes) in the DATALIST array.

- Edit the "larrd-grapher.cgi" script, go to the end of the %graph_c variable
  declaration. Insert the content of the "larrd-benchmark.data" file. This will
  define the benchmark graphs.

- Copy the "bbdisplay/benchmark-larrd.pl" under $LARRDHOME

- Configure "benchmark-larrd.pl" to group the statistics in one or more lines 
  per graph: just edit the script and change the content of "%urigroups" hash
  table.


C) Checking:

- after few minutes you should see a new column named "benchmark" on the main BB page

- the status should be green and if you click on a button you should get the last
  statistics with a graph !

# EOF 
