#!/usr/bin/perl -w
# =================================================================
#
# Definition all the available statistics:
#
# Date: 14 Aug 2003
# Author: Jerome Delamarche (c) Copyright INODES.  2003  All rights reserved.
# Version: 2.0
#
# =================================================================
package StatDesc;

#
# this is the main array of all available stats:
# 
%StatDesc::gStats = (
				"time" 		=> {"isset" => 0, "shape" => "", "color" => "#F00", "display" => "Response Time"},
				"cpu"		=> {"isset" => 0, "shape" => "", "color" => "#0F0", "display" => "CPU Load"},
				"apache"	=> {"isset" => 0, "shape" => "", "color" => "#00F", "display" => "Apache Load"},
				"mem"		=> {"isset" => 0, "shape" => "", "color" => "#C0C", "display" => "Memory Use"},
				"swap"		=> {"isset" => 0, "shape" => "", "color" => "#0CC", "display" => "Swap Use"},
				"alert"		=> {"isset" => 0, "shape" => "", "color" => "#CC0", "display" => "Alert Count"},
		    );
			
#
# List of colors for server stat display:
#
@StatDesc::gServersColor = ( "#F00","#0F0","#00F","#C0C","#0CC","#CC0" );

1;

# EOF
