<?php
#
# ====================================================================
#
# Send a result to the specified email address
#
# Date: 14 Aug 2003
# Author: Jerome Delamarche (c) Copyright INODES.  2003  All rights reserved.
# Version: 2.0
#
# Input Parameters:	
#		to
#		from
#		subject
#		body
#		graph
#
# Output: indicates whether or not the mail could be sent
#
# --------------------------------------------------------------------
#
# TODO:
#
# ====================================================================
#
include_once "util.inc.php";
include_once "globals.inc.php";

$gTo 		= SetParmValue("to");
$gFrom		= SetParmvalue("from");
$gSubject 	= SetParmValue("subject");
$gBody 		= SetParmValue("body");
$gGraph		= SetParmValue("graph");
$gCurDir	= dirname($HTTP_SERVER_VARS["SCRIPT_FILENAME"]);

$gReferer	= "sendform.php";	//(empty($_SERVER["HTTP_REFERER"])) ? $GLOBALS["HTTP_REFERER"] : $_SERVER["HTTP_REFERER"];
$gReferer  .= "?to=$gTo&from=$gFrom&subject=$gSubject&body=$gBody&graph=$gGraph";

include_once "email_message.php";

$email_message = new email_message_class;
$email_message->SetEncodedEmailHeader("To",$gTo,$gTo);
$email_message->SetEncodedEmailHeader("From",$gFrom,$gFrom);
$email_message->SetEncodedEmailHeader("Reply-To",$gFrom,$gFrom);

if(defined("PHP_OS") && strcmp(substr(PHP_OS,0,3),"WIN"))
	$email_message->SetHeader("Return-Path",$gFrom);
	
$email_message->SetEncodedEmailHeader("Errors-To",$gFrom,$gFrom);
$email_message->SetEncodedHeader("Subject",$gSubject);
//$email_message->AddQuotedPrintableTextPart($email_message->WrapText($message));
$email_message->AddQuotedPrintableTextPart($gBody);

$graph = Array("FileName" => "$gCurDir/$gGraph" , "Content-Type" => "image/svg");

if (0 && $attach_file) {
	$email_message->AddFilePart($graph);
}
else {
	// embedded:
	$email_message->CreateFilePart($graph,$graph_part);
	$parts = array($graph_part);
	$email_message->AddMixedMultipart($parts);
}

$error = $email_message->Send();
if (strcmp($error,"")) {
?>
<html>
<head>
	<title>Send Error</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<link rel="stylesheet" type="text/css" href="../cpanel.css">
</head>

<body>
<table width=100% cellspacing=0 cellpadding=3 border=0>
<tr>
<td width=60 valign=top><img src="<?php echo $gLeftLogo ?>" border=0 height=300></td>
<td>
	<p align=center class=textscale>
		Mail could not be sent to <?php echo $gTo ?>
	</p>
	<p align=center class=text12>
		Error message is:<br><span class=text12b><?php if (empty($php_errormsg)) echo $error; else echo $php_errormsg; ?></span>
	</p>
	<p align=center class=textscale>
		Click <a href="<?php echo $gReferer ?>">here</a> to go back
	</p>
</td>
</tr>
</table>
</body>
</html>
<?php
	die;
}
?>
<html>
<head>
	<title>Results Sent</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<link rel="stylesheet" type="text/css" href="../cpanel.css">
	<script language="JavaScript">
	<!--
	function CloseWin() 
	{
		window.close();
	}
	-->
	</script>
</head>

<body onLoad="JavaScript:setTimeout(CloseWin,<?php echo $gPopupTimeout ?>);">
<table width=100% cellspacing=0 cellpadding=3 border=0>
<tr>
<td width=60 valign=top><img src="<?php echo $gLeftLogo ?>" border=0 height=300></td>
<td>
	<p align=center class=textscale>
		A mail has been successfully sent to <?php echo $gTo ?>
	</p>
	<br>
	<p align=center class=textstd>
		This window will automatically close in few seconds.
	</p>
</td>
</tr>
</table>
</body>
</html>
