#!/usr/bin/perl -w
#
# ===========================================================================
# Date: 14 Aug 2003
# Author: Jerome Delamarche (c) Copyright INODES.  2003  All rights reserved.
# Version: 2.0
# ===========================================================================
#
use Socket;
require "util.inc.pl";
require "statdesc.inc.pl";

sub OutputParam
{
	my ($query,$stattype,$db) = @_;
	my ($sec,$min,$hour,$mday,$month,$year) = localtime(time);
	my $idx;
	$month++;
	$year += 1900;

print << "_END_HTML_";

<table width=100% bordercolor="#003399" border=1 cellspacing=0 cellpadding=0>
    <tr> 
      <td width="70%" class=paramtitle>&nbsp;Duration</td>
      <td width="30%" class=paramtitleright>&nbsp;Output</td>
    </tr>
    <tr> 
      <td width="66%">
        <table class=paramtable>
	  	  <tr>
		    <td class=paramtext><input class=paramtext type="radio" name="duration" value="minute" checked> 1 Minute</td>
	    	    <td class=paramtext><input class=paramtext type="radio" name="duration" value="hour"> 1 Hour</td>
		    <td class=paramtext><input class=paramtext type="radio" name="duration" value="day"> 1 Day</td>
		    <td class=paramtext><input class=paramtext type="radio" name="duration" value="week"> 1 Week</td>
		    <td class=paramtext><input class=paramtext type="radio" name="duration" value="month"> 1 Month</td>
		    <td class=paramtext><input class=paramtext type="radio" name="duration" value="year"> 1 Year</td>
		  <tr>
		  <tr>
		    <td class=paramtext>From: <input class=paramtext type="radio" name="startdate" value="now" checked> Now</td>
		    <td class=paramtext colspan=5><input class=paramtext type="radio" name="startdate" value="adate"> Date: 
                       <input class=paramtext type="text" name="startday" size="2" maxlength="2" value="$mday""> / 
				<select class=paramtext name="startmonth" size="1">
_END_HTML_
				print "<option value=1 "; if ($month == 1) { print "selected"; } print ">Jan</option>\n";
				print "<option value=2 "; if ($month == 2) { print "selected"; } print ">Feb</option>\n";
				print "<option value=3 "; if ($month == 3) { print "selected"; } print ">Mar</option>\n";
				print "<option value=4 "; if ($month == 4) { print "selected"; } print ">Apr</option>\n";
				print "<option value=5 "; if ($month == 5) { print "selected"; } print ">May</option>\n";
				print "<option value=6 "; if ($month == 6) { print "selected"; } print ">Jun</option>\n";
				print "<option value=7 "; if ($month == 7) { print "selected"; } print ">Jui</option>\n";
				print "<option value=8 "; if ($month == 8) { print "selected"; } print ">Aug</option>\n";
				print "<option value=9 "; if ($month == 9) { print "selected"; } print ">Sep</option>\n";
				print "<option value=10 "; if ($month == 10) { print "selected"; } print ">Oct</option>\n";
				print "<option value=11 "; if ($month == 11) { print "selected"; } print ">Nov</option>\n";
				print "<option value=12 "; if ($month == 12) { print "selected"; } print ">Dec</option>\n";
				printf "</select> /\n"; 
				printf "<select class=paramtext name=startyear size=1>\n";
				  print "<option "; if ($year == 2002) { print "selected"; } print ">2002</option>\n";
				  print "<option "; if ($year == 2003) { print "selected"; } print ">2003</option>\n";
				  print "<option "; if ($year == 2004) { print "selected"; } print ">2004</option>\n";

print << "_END_HTML_";
				</select>
				at <input class=paramtext type="text" name="starthour" size="2" maxlength="2" value="$hour">
				: <input class=paramtext type="text" name="startmin" size="2" maxlength="2" value="$min">
		     </td>
		   </tr>
		 </table>
      </td>
      <td width="34%"> 
		<table class=paramtable>
		  <tr>
		    <td class=paramtext width=50%><input class=paramtext type="radio" name="viewtype" value="tabular"> Tabular View</td>
		    <td class=paramtext width=50%><input class=paramtext type="radio" name="viewtype" value="graph" checked> Graph View</td>
		  </tr>
		  <!--
		  <tr>
		    <td></td>
		    <td class=paramtext>
              <select class=paramtext name="graphtype" size="1">
                <option value="bar">Bar Graph</option>
                <option value="line" selected>Line Points</option>
              </select>
		    </td>
		  </tr>
		  -->
        </table>
      </td>
    </tr>
</table>
<br>
<table width="100%" bordercolor="#003399" border=1 cellspacing=0 cellpadding=0>
  <tr>
      <td width="30%" class=paramtitle>&nbsp;URL Filter</td>
      <td width="35%" class=paramtitle>&nbsp;Threshold Filter: 
              <span class=paramtext><input class=inputtext1 type="text" name="threshold" size="5" maxlength="5" value="0"> ms</span>
      </td>
_END_HTML_
      print "<td width=\"20%\" class=paramtitle>&nbsp;Indicator"; if ($stattype eq "DATA") { print " (x N)"; } print "</td>\n"; 
      print "<td width=\"15%\" class=paramtitleright>&nbsp;Servers"; if ($stattype eq "SRV") { print " (x N)"; } print "</td>\n";

print << "_END_HTML_";
  </tr>
  <tr> 
    <td colspan="2">
      <select class=listtext1 name="urls" size="7">
		<option selected selected>all</option>
_END_HTML_
			# Limit the url size...
			$url = $db->GetURLList();
			for ( $idx = 0 ; $idx < scalar(@{$url}) ; $idx++ ) {
				$u = TruncateURL($url->[$idx]{"URL_VALUE"});
				print "<option value=\"$u\">$u</option>\n";
			}
print << "_END_HTML_";
      </select>
    </td>
    <td>
_END_HTML_
			while (($key,$value) = each(%StatDesc::gStats)) {
				print "<input type=hidden name=\"$key\">\n";
			}
			
			if ($stattype eq "DATA")  { $multiple = "multiple"; } else { $multiple = ""; }
			print "<select class=listtext1 name=data size=7 $multiple>\n";
			while (($key,$value) = each(%StatDesc::gStats)) {
				$checked = "";
				$checked = "selected" if ($key eq "time");
				print "<option value=\"$key\" $checked>".$value->{'display'}."</option>\n";
			}
			print "</select>\n";
		print "</td>\n";
		print "<td>\n";

			$server = $db->GetServerList();

			print "<input type=hidden name=srv0>\n";	# for "all" server
			for ( $idx = 0 ; $idx < scalar(@{$server}) ; $idx++ ) {
				print "<input type=hidden name=\"srv".($idx+1)."\">\n";
			}
			
			if ($stattype eq "SRV") { $multiple = "multiple"; } else { $multiple = ""; }
			print "<select class=listtext1 name=servers size=3 $multiple>\n";
			print "<option value=srv0 selected>all</option>\n";

			for ( $idx = 0 ; $idx < scalar(@{$server}) ; $idx++ ) {
				# ignore null addr:
				$addr = $server->[$idx]{"BEN_SRVADDR"};
				if ($addr == 0) { next; }

				$addr = &Util::ntohl($addr);
				print "<option value=srv".($idx+1).">".inet_ntoa(pack("L",$addr))."</option>\n";
			}
			print "</select>\n";

print << "_END_HTML_";
		<br>
		<div class=paramtitle>Protocols</div>
		<select class=listtext1 name="protocols" size="2">
		  <option value=80 selected>HTTP (80)</option>
_END_HTML_
		  	$proto = $db->GetProtocolList();
			for ( $idx = 0 ; $idx < scalar(@{$proto}) ; $idx++ ) {
				# ignore null port and give a textual name when possible:
				$p = $proto->[$idx]{"BEN_SRVPORT"};
				if ($p == 0) { next; }
				if ($p == 443) {
					print "<option value=$p>HTTPS ($p)</option>\n";
				}
				elsif ($p != 80) {
					print "<option value=$p>$p</option>\n";
				}
			}
print << "_END_HTML_";
		</select>
    </td>
  </tr>
</table>
_END_HTML_

} # end of sub

sub TruncateURL
{
	my ($u) = @_;
	if (length($u) > 88) {
		return substr($u,0,43)."...".substr($u,length($u)-43);
	}
	
	return $u;
}

1;
# EOF
