#!/usr/bin/perl -w
#
# ====================================================================
#
# Display the save graph form
#
# Date: 14 Aug 2003
# Author: Jerome Delamarche (c) Copyright INODES.  2003  All rights reserved.
# Version: 2.0
#
# Input Parameters:	 
#		graph
#		width, height
#		name (opt)
#		note (opt)
#
# Output: 		display the control panel
#
# --------------------------------------------------------------------
#
# TODO:
#
# ====================================================================
#
use CGI qw/:standard/;
require "util.inc.pl";

my $query   = new CGI;
my $gGraph  = $query->param('graph') if defined($query);
my $gWidth  = $query->param('width') if defined($query);
my $gHeight = $query->param('height') if defined($query);
my $gNote   = $query->param('note') if defined($query);
my $gName   = $query->param('name') if defined($query);

print header;
print << "_END_HTML_";
<html>
<head>
	<title>Save a Graph</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<link rel="stylesheet" type="text/css" href="../cpanel.css">
	<script language="JavaScript">
	<!--
	function CheckForm()
	{
		if (document.theForm.name.value == "") {
			alert("Graph Name missing !");
			return false;
		}
		
		return true;
	}
	-->
	</script>
</head>

<body>
<table width=100% cellspacing=0 cellpadding=3 border=0>
<tr>
<td width=60 valign=top><img src="$Globals::gLeftLogo" border=0 height=300></td>
<td height=300>
	<form name=theForm method="get" action="savegraph.pl" onSubmit="JavaScript: return CheckForm();">
		<input type=hidden name=graph value="$gGraph">
		<input type=hidden name=width value="$gWidth">
		<input type=hidden name=height value="$gHeight">
		<table height=294 width="98%" bordercolor="#003399" border=1 cellspacing=0 cellpadding=0 align=center>
    		<tr> 
	    	  <td height=12 class=paramtitleright>&nbsp;Save Graph</td>
	    	</tr>
			<tr>
				<td>
					<table cellspacing=2 cellpadding=2 width="100%" border=0>
						<tr>
							<td width=23% align=right class=text10b>Graph Name:</td>
							<td width=77% colspan=2><input class=inputtext2 size=60 type=text name=name value="$gName"></td>
						</tr>
						<tr>
							<td align=right valign=top class=text10b>Note:</td>
							<td><textarea name=note class=inputtext2 rows=2 cols=60>$gNote</textarea></td>
						</tr>
						<tr>
							<td colspan=3 valign=bottom width=20% align=center><input type="image" src="../images/save.gif" border=0></td>
						</tr>
						<tr><td colspan=2><hr color=#003399></td></tr>
						<tr>
							<td colspan=2 align=left class=text10b>Saved Graphs:</td>
						</tr>
						<tr>
							<td colspan=2>
_END_HTML_
							
								#if (Util::IsBrowserMSIE()) {
									print "<iframe name=table id=table frameborder=1 width=100% height=120 marginheight=1 marginwidth=1 src=graphmgr.pl></iframe>";
								#}
								#else {
									#print "<ilayer name=graph id=graph border=0 width=$graphwidth height=$graphheight src=statrt.pl></ilayer>";
								#}
print << "_END_HTML_";
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</form>
</td>
</tr>
</table>
</body>					
</html>
_END_HTML_

1;

# EOF
