<?php
#
# ====================================================================
#
# Display the saved graph management window
#
# Date: 14 Aug 2003
# Author: Jerome Delamarche (c) Copyright INODES.  2003  All rights reserved.
# Version: 2.0
#
# Input Parameters:	
#		graph: #id (opt)
#		op: delete|view (opt) 
#
# Output:	display the graph manager
#
# --------------------------------------------------------------------
#
# TODO:
#
# ====================================================================
#
include_once "util.inc.php";
include_once "dbbenchmark.inc.php";
include_once "globals.inc.php";

$gGraphID = SetParmValue("graph");
$gOp	  = SetParmValue("op");

$db = new CDBBenchmark($dbtype,$dbname,$dbserver,$dbuser,$dbpwd);

# check if operation is required:
if (!empty($gGraphID) && !empty($gOp)) {
	if ($gOp == "delete") {
		$db->GraphDelete($gGraphID);
	}
}

$graphs = $db->GetGraphList();
?>
<html>
<head>
	<title>Graph Management</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<link rel="stylesheet" type="text/css" href="../cpanel.css">
</head>

<body>
<script language="JavaScript">
<!--
function Confirm()
{
	return confirm("Do you really want to delete this Graph ?");
}

function ViewGraph(grid)
{
	var url = "viewgraph.php?graph=" + grid;
	window.open(url,"Graph","width=400,height=300,resize=yes");
}
-->
</script>
<table bordercolor=#003399 width=100% cellspacing=0 cellpadding=1 border=1 nowrap>
	<tr height=14>
		<td width=17% align=center class=paramtitle>&nbsp;Date</td>
		<td width=63% class=paramtitle>&nbsp;Graph Name</td>
		<td width=10% class=paramtitle>&nbsp;View</td>
		<td width=10% class=paramtitleright>&nbsp;Delete</td>
	</tr>
<?php
for ( $g = 0 ; $graphs != 0 && $g < count($graphs) ; $g++ ) {
	$agraph = $graphs[$g];
	echo "<tr"; if ($g % 2) echo " bgcolor=#FFBB00"; echo ">\n";
		// ++++++ modified on the 22 Aug 2003: substr(11) instead of 10 for Sybase dates
		echo "<td height=10 class=textstd>&nbsp;".substr($agraph["GRA_DATE"],0,11)."</td>\n";
		echo "<td height=10 class=textstdblue>&nbsp;".$agraph["GRA_NAME"]."</td>\n";
		echo "<td height=10 align=center><a href=\"\" onClick=\"JavaScript:ViewGraph({$agraph["GRA_ID"]}); return false;\"><img src=\"../images/view.gif\" border=0></a></td>\n";
		echo "<td height=10 align=center><a href=\"graphmgr.php?op=delete&graph=".$agraph["GRA_ID"]."\" onClick=\"JavaScript: return Confirm();\"><img src=\"../images/delete.gif\" border=0></a></td>\n";
	echo "</tr>\n";
}
?>
</table>
</body>
</html>
