<?php
# ===========================================================
#
# Short script that display the graph in a popup window.
# Called by "zomm" button
#
# Date: 14 Aug 2003
# Author: Jerome Delamarche (c) Copyright INODES.  2003  All rights reserved.
# Version: 2.0
#
# -----------------------------------------------------------
#
# Input:
#		img: URI of graph to display
#		factor: zoom factor
#		width, height: normal sizes
#
# ===========================================================
include_once "util.inc.php";

$gImg		= SetParmValue("img");
$gWidth		= SetParmValue("width");
$gHeight	= SetParmValue("height");
$gFactor 	= SetParmValue("factor");
if (empty($gFactor)) $gFactor = 2;

# Create a new file from the original and apply the zoom factor:
$gImgName = GetImageName("svg");
$curdir	  = dirname($HTTP_SERVER_VARS["SCRIPT_FILENAME"]);

$stdimg = @file("$curdir/$gImg");

$fd = @fopen($gImgName["local"],"w");
$linecount = count($stdimg);
for ( $l = 0 ; $l < $linecount ; $l++ ) {
	fwrite($fd,$stdimg[$l]);
	
	if ($l == 3)
		fwrite($fd,"<g transform='scale($gFactor,$gFactor)'>\n");
	else if ($l == $linecount - 3)
		fwrite($fd,"</g>\n");
}
fclose($fd);
		
# Parameters for "startoutput.inc.php":
$gDuration = "any";
$gViewType = "graph";
$gImgType  = "svg";
$gGraphWidth = $gWidth * $gFactor;
$gGraphHeight = $gHeight * $gFactor;

include "statrtoutput.inc.php";
?>
